rpms/abrt/devel abrt.init,1.2,1.3 abrt.spec,1.30,1.31

Jiří Moskovčák jmoskovc at fedoraproject.org
Fri May 21 13:38:44 UTC 2010


Author: jmoskovc

Update of /cvs/extras/rpms/abrt/devel
In directory cvs01.phx2.fedoraproject.org:/tmp/cvs-serv19449

Modified Files:
	abrt.init abrt.spec 
Log Message:
- spec file fixes rhbz#593670
- updated init script



Index: abrt.init
===================================================================
RCS file: /cvs/extras/rpms/abrt/devel/abrt.init,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -p -r1.2 -r1.3
--- abrt.init	4 Sep 2009 17:55:36 -0000	1.2
+++ abrt.init	21 May 2010 13:38:43 -0000	1.3
@@ -11,24 +11,32 @@
 # Default-Stop: 0 1 2 6
 # Default-Start: 3 5
 # Short-Description: start and stop abrt daemon
-# Description: Listen and dispatch crash events
+# Description: Listen to and dispatch crash events
 ### END INIT INFO
 
 # Source function library.
 . /etc/rc.d/init.d/functions
-
+ABRT_BIN="/usr/sbin/abrtd"
+LOCK="/var/lock/subsys/abrtd"
+OLD_LOCK="/var/lock/subsys/abrt"
 RETVAL=0
 
 #
+# Set these variables if you are behind proxy
+#
+#export http_proxy=
+#export https_proxy=
+
+#
 # See how we were called.
 #
 
 check() {
 	# Check that we're a privileged user
-	[ `id -u` = 0 ] || exit 4
+	[ "`id -u`" = 0 ] || exit 4
 
 	# Check if abrt is executable
-	test -x /usr/sbin/abrtd || exit 5
+	test -x $ABRT_BIN || exit 5
 }
 
 start() {
@@ -36,11 +44,11 @@ start() {
 	check
 
 	# Check if it is already running
-	if [ ! -f /var/lock/subsys/abrt ]; then
+	if [ ! -f $LOCK ] && [ ! -f $OLD_LOCK ]; then
 		echo -n $"Starting abrt daemon: "
-		daemon /usr/sbin/abrtd
+		daemon $ABRT_BIN
 		RETVAL=$?
-		[ $RETVAL -eq 0 ] && touch /var/lock/subsys/abrt
+		[ $RETVAL -eq 0 ] && touch $LOCK
 		echo
 	fi
 	return $RETVAL
@@ -51,9 +59,10 @@ stop() {
 	check
 
 	echo -n $"Stopping abrt daemon: "
-	killproc /usr/sbin/abrtd
+	killproc $ABRT_BIN
 	RETVAL=$?
-	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/abrt
+	[ $RETVAL -eq 0 ] && rm -f $LOCK
+	[ $RETVAL -eq 0 ] && rm -f $OLD_LOCK
 	echo
 	return $RETVAL
 }
@@ -86,12 +95,16 @@ restart)
 	restart
 	;;
 condrestart)
-	if [ -f /var/lock/subsys/abrt ]; then
-	    restart
+	if [ -f $LOCK ]; then
+		restart
+	fi
+	# update from older version
+	if [ -f $OLD_LOCK ]; then
+		restart
 	fi
 	;;
 status)
-	status abrt
+	status abrtd
 	RETVAL=$?
 	;;
 *)


Index: abrt.spec
===================================================================
RCS file: /cvs/extras/rpms/abrt/devel/abrt.spec,v
retrieving revision 1.30
retrieving revision 1.31
diff -u -p -r1.30 -r1.31
--- abrt.spec	18 May 2010 22:25:27 -0000	1.30
+++ abrt.spec	21 May 2010 13:38:43 -0000	1.31
@@ -11,7 +11,7 @@
 %if 0%{?_buildid}
 %define pkg_release 0.%{?_buildid}%{?dist}
 %else
-%define pkg_release 1%{?dist}
+%define pkg_release 2%{?dist}
 %endif
 
 Summary: Automatic bug detection and reporting tool
@@ -261,6 +261,7 @@ install -m 755 %SOURCE1 ${RPM_BUILD_ROOT
 mkdir -p $RPM_BUILD_ROOT/var/cache/%{name}
 mkdir -p $RPM_BUILD_ROOT/var/cache/%{name}-di
 mkdir -p $RPM_BUILD_ROOT/var/run/%{name}
+mkdir -p $RPM_BUILD_ROOT/var/spool/%{name}
 
 desktop-file-install \
         --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
@@ -322,6 +323,7 @@ fi
 %config(noreplace) %{_sysconfdir}/dbus-1/system.d/dbus-%{name}.conf
 %{_initrddir}/%{name}d
 %dir %attr(0755, abrt, abrt) %{_localstatedir}/cache/%{name}
+%dir %attr(0755, abrt, abrt) %{_localstatedir}/spool/%{name}
 %dir /var/run/%{name}
 %dir %{_sysconfdir}/%{name}
 %dir %{_sysconfdir}/%{name}/plugins
@@ -462,6 +464,10 @@ fi
 %defattr(-,root,root,-)
 
 %changelog
+* Fri May 21 2010 Jiri Moskovcak <jmoskovc at redhat.com> 1.1.2-3
+- fixed spec file to create /var/spool/abrt rhbz#593670
+- updated init script to reflect the pid file renaming
+
 * Wed May 19 2010 Jiri Moskovcak <jmoskovc at redhat.com> 1.1.2-1
 - updated translation
 - obsolete gnome-python2-bugbuddy rhbz#579748 (jmoskovc at redhat.com)



More information about the scm-commits mailing list